Subject: RE: [mobile-ip] Multiple CoA registration

From: Soliman Hesham <[email-masked]>
Date: Fri, 4 Jul 2003 02:57:23 -0400

Ryuji, 

At first read I don't see the difference between
this draft and 
http://www.ietf.org/internet-drafts/draft-soliman-mobileip-flow-move-03.txt

Is there something new that I should look for?

Hesham

 > -----Original Message-----
 > From: Ryuji Wakikawa [mailto:[email-masked]]
 > Sent: Thursday, July 03, 2003 10:58 PM
 > To: [email-masked]
 > Subject: [mobile-ip] Multiple CoA registration
 > 
 > 
 > 
 > Hi all.
 > 
 > I recently submitted the new version of multiple care-of address
 > registration draft and got one slot to present this draft at Vienna
 > MIP6 meeting. 
 > 
 > This draft enables a mobile node to register multiple CoAs which are
 > bounded to the MN's home address.
 > When a mobile node has multiple network devices and possibly gets
 > multiple CoAs, the mobile node sometime wants to use both of network
 > devices at the same time (i.e. multihomed MN). 
 > 
 > I submitted this draft to MIP wg, but this draft can be 
 > applied to the
 > NEMO basic solution as well.
 > 
 > Before the meeting, I want to get some feedback from MIP6 members.
 > Thanks in advance.
 > ryuji
 > 
 > 
 > 
 > 
 >

---

From: Ryuji Wakikawa <[email-masked]>
Date: Fri, 04 Jul 2003 16:49:48 +0900

Hesham

yes, It is similar, because I used to work on the same idea of you.
You can check my former research. The topic of my master thesis was same
of your draft. My thesis is written in Japanese:-<,  if you are
interested in, I could send copy of my "English" paper.

But the multiplecoa draft only targets on multiple CoAs registration. 
In my draft, I want to separate policy management and binding 
management (i.e. multiple CoAs registration).
I don't think MIP is only way to notify policy, but MIP is the only way
to manage the binding:-)

If there are plenty of policies. managing policy sometime cause a lot of BU.
If MN has a lot of policies, each BU also becomes really large... 

Our proposed ID in our draft can be used to distinguish the bindings and
can be used as an ID of policy DB (i.e. something like SPI of IPsec), too.

If user has a static policy, it is simple. Just set up the policy
statically with the appropriate ID number of binding.
MN and HA can manage policy by _anyway_. maybe applications, maybe
static configuration, maybe your draft.

I can not understand clearly how to manage multiple CoAs bounded to same
HoA in your draft. 
How does MN register multiple CoAs if there are no rules to direct flows? 
(for example, just registering multiple CoAs for backup purpose)

I think there are many possible usage of multiple CoAs such as backup
purpose, bi-casting purpose, QoS routing like you propose, etc...

regards,
ryuji

>  > Before the meeting, I want to get some feedback from MIP6 members.

regards,
ryuji